# Class NavigateActionGroup

java.lang.Object
org.eclipse.ui.actions.ActionGroup
org.eclipse.jdt.ui.actions.NavigateActionGroup

public class NavigateActionGroup extends org.eclipse.ui.actions.ActionGroup
Action group that adds the open and show actions to a context menu and the action bar's navigate menu. This action group reuses the `OpenEditorActionGroup` and `OpenViewActionGroup`.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`NavigateActionGroup(org.eclipse.ui.IViewPart part)`
Creates a new `NavigateActionGroup`.
`NavigateActionGroup(org.eclipse.ui.IWorkbenchPartSite site, org.eclipse.jface.viewers.ISelectionProvider specialSelectionProvider)`
Creates a new `NavigateActionGroup`.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`fillActionBars(org.eclipse.ui.IActionBars actionBars)`
`void`
`fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`
`org.eclipse.jface.action.IAction`
`getOpenAction()`
Returns the open action managed by this action group.
`void`
`setContext(org.eclipse.ui.actions.ActionContext context)`
`void`
`updateActionBars()`

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NavigateActionGroup

public NavigateActionGroup(org.eclipse.ui.IViewPart part)
Creates a new `NavigateActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### NavigateActionGroup

public NavigateActionGroup(org.eclipse.ui.IWorkbenchPartSite site, org.eclipse.jface.viewers.ISelectionProvider specialSelectionProvider)
Creates a new `NavigateActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site that will own the action group.
  `specialSelectionProvider` - the selection provider used instead of the sites selection provider.
Since:
  3.4

## Method Details

### getOpenAction

public org.eclipse.jface.action.IAction getOpenAction()
Returns the open action managed by this action group.

Returns:
  the open action. Returns `null` if the group doesn't provide any open action

### dispose

public void dispose()

Overrides:
  `dispose` in class `org.eclipse.ui.actions.ActionGroup`

### fillActionBars

public void fillActionBars(org.eclipse.ui.IActionBars actionBars)

Overrides:
  `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### fillContextMenu

public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

Overrides:
  `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### setContext

public void setContext(org.eclipse.ui.actions.ActionContext context)

Overrides:
  `setContext` in class `org.eclipse.ui.actions.ActionGroup`

### updateActionBars

public void updateActionBars()

Overrides:
  `updateActionBars` in class `org.eclipse.ui.actions.ActionGroup`